summaryrefslogtreecommitdiff
path: root/debian/libusrp0c2a.postinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/libusrp0c2a.postinst')
-rw-r--r--debian/libusrp0c2a.postinst14
1 files changed, 14 insertions, 0 deletions
diff --git a/debian/libusrp0c2a.postinst b/debian/libusrp0c2a.postinst
new file mode 100644
index 000000000..6ed2f9ebd
--- /dev/null
+++ b/debian/libusrp0c2a.postinst
@@ -0,0 +1,14 @@
+#! /bin/sh
+
+set -e
+
+if [ "$1" != "configure" ]; then
+ exit 0
+fi
+
+# Create usrp group for udev access
+if ! getent group usrp >/dev/null; then
+ addgroup --system usrp
+fi
+
+exit 0